/* ============================================================================
 * AI査定ページ用 ヘッダー・フッター専用CSS
 * ========================================================================= */

/* ------------------------------------
 * Base Styles
 * --------------------------------- */
a {
  text-decoration: none;
  color: inherit;
}

a:hover,
a:focus {
  color: inherit;
  text-decoration: none;
}

body {
  padding-top: 69px;
}

/* ------------------------------------
 * Header
 * --------------------------------- */
.l-header {
  box-sizing: border-box;
  font-size: 1.6rem;
  font-weight: 400;
  font-style: normal;
  line-height: 1.5;
  color: #40494e;
  letter-spacing: 0.02em;
  width: 100%;
  height: 69px;
  padding: 0.5rem 1rem;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  gap: 0 20px;
  top: 0;
  left: 0;
  z-index: 100;
  background: #3a78a7;
  box-shadow: 0px 1px 4px 0px #00000040;
}

.l-headerInfo,
.l-headerUtil {
  height: 48px;
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
}

.l-headerInfo {
  flex: 1;
}

.m-headerLogo {
  width: 130px;
  min-width: 130px;
  max-width: 130px;
  margin-left: 4px;
}

.m-headerLogo a {
  padding: 0.25rem 0;
  vertical-align: middle;
  display: inline-block;
}

.m-headerLogo img {
  transform: scale(0.86);
}

.l-headerNav {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-between;
  gap: 0 20px;
  flex: 1;
}

.m-headerMenu,
.m-headerUtil {
  margin: 0;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
}

.m-headerMenu {
  width: 100%;
  gap: 0 20px;
}

.m-headerMenu li:last-child {
  margin-left: auto;
}

.m-headerMenu li {
  white-space: nowrap;
  font-weight: 400;
  font-size: 14px;
  color: #fff;
  transition: 0.3s text-decoration ease;
}

.m-headerMenu li a {
  color: #fff;
  text-decoration: none;
}

.m-headerMenu li:hover {
  text-decoration: underline;
  text-underline-offset: 4px;
  cursor: pointer;
}

.m-headerMenu li a:hover {
  text-decoration: underline;
  text-underline-offset: 4px;
}

.m-headerUtil {
  gap: 0 10px;
}

.m-headerUtil a {
  padding: 10px 20px;
  border-radius: 5px;
  white-space: nowrap;
  font-weight: 700;
  text-align: center;
  transition: 0.3s background-color ease;
  display: inline-block;
  line-height: 1;
  font-size: 16px;
  text-decoration: none;
}

.m-headerUtil a.download {
  border: 1px solid #3978a7;
  background-color: #ffffff;
  color: #3978a7;
  text-decoration: none;
}

.m-headerUtil a.download:hover {
  background-color: #e0ecf5;
  text-decoration: none;
}

.m-headerUtil a.free {
  border: 1px solid #ffffff;
  background: linear-gradient(to right, #3fa8fb, #14e5f2);
  color: #ffffff;
  text-decoration: none;
}

.m-headerUtil a.free:hover {
  background: linear-gradient(to right, #3089d0, #1bbcc6);
  text-decoration: none;
}

.l-headerContact {
  display: none;
  width: 100%;
  flex-direction: column;
  align-items: center;
  text-align: center;
  color: #40494e;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.15;
  gap: 5px 0;
}

.l-headerContact .phone_number {
  font-size: 20px;
  font-weight: 700;
}

.l-overlay {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  width: 100%;
  z-index: 50;
  background: #000000;
  opacity: 0.3;
}

.l-headerHamburger {
  display: none;
  position: relative;
  width: 24px;
  height: 24px;
  cursor: pointer;
  text-align: center;
  z-index: 100;
}

.l-headerHamburger span {
  display: block;
  position: absolute;
  width: 18px;
  height: 2px;
  left: 3px;
  background: #ffffff;
}

.l-headerHamburger span:nth-child(1) {
  top: 6px;
}

.l-headerHamburger span:nth-child(2) {
  top: 12px;
}

.l-headerHamburger span:nth-child(3) {
  top: 18px;
}

.l-headerHamburger.active span {
  top: 10px;
  left: 10px;
  width: 10px;
  background: #000000;
}

.l-headerHamburger.active span:nth-child(1) {
  transform: rotate(-45deg);
}

.l-headerHamburger.active span:nth-child(2),
.l-headerHamburger.active span:nth-child(3) {
  transform: rotate(45deg);
}

/* ------------------------------------
 * Modal
 * --------------------------------- */
.l-contentModal {
  width: 100%;
  height: 100%;
  transition: 0.3s all ease;
  opacity: 0;
  visibility: hidden;
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  backdrop-filter: blur(4px);
}

.l-contentModal::before {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.25);
  content: "";
}

.l-contentModal.is-active {
  opacity: 1;
  visibility: initial;
  z-index: 90;
}

.l-contentModal.is-active .l-contentModal__body {
  top: 0;
}

.l-contentModal__body {
  width: 100%;
  max-width: 700px;
  padding: 45px 50px 50px;
  transition: 0.3s all ease;
  position: relative;
  top: -15px;
  border-radius: 5px;
  background: #fff;
  box-shadow: 5px 5px 26px rgba(0, 0, 0, 0.16);
}

.l-contentModal__txt {
  font-size: 1.6rem;
  line-height: 1.5;
  text-align: center;
}

.l-contentModal__txt a {
  color: #1d83bb;
  text-decoration: underline;
}

.l-contentModal__txt a:hover {
  text-decoration: none;
}

.l-contentModal__btn {
  max-width: 320px;
  margin: 15px auto 0;
}

.l-contentModal__btn a {
  width: 100%;
  height: 60px;
  font-weight: bold;
  font-size: 1.6rem;
  color: #fff;
  letter-spacing: 0.1em;
  transition: 0.3s all ease;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  background: #1d83bb;
  text-decoration: none;
}

.l-contentModal__btn a:hover,
.l-contentModal__btn a:focus,
.l-contentModal__btn a:active {
  filter: brightness(1.1);
  text-decoration: none;
}

.l-contentModal__close {
  width: 40px;
  height: 40px;
  text-indent: -999em;
  overflow: hidden;
  transition: 0.3s all ease;
  position: absolute;
  top: 10px;
  right: 10px;
  border: none;
  background: none;
}

.l-contentModal__close span {
  width: 40px;
  height: 40px;
  position: relative;
  display: block;
}

.l-contentModal__close span::before,
.l-contentModal__close span::after {
  width: 26px;
  height: 3px;
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 15px;
  background: #1d83bb;
  content: "";
}

.l-contentModal__close span::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

.l-contentModal__close span::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

.l-contentModal__close:hover,
.l-contentModal__close:focus,
.l-contentModal__close:active {
  opacity: 0.6;
}

/* ------------------------------------
 * Footer Action
 * --------------------------------- */
.c-action {
  box-sizing: border-box;
  font-size: 1.6rem;
  font-weight: 400;
  font-style: normal;
  line-height: 1.5;
  color: #40494e;
  letter-spacing: 0.02em;
  padding: 50px 0;
  background-color: #e9eff2;
}

.c-action .c-action__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}
.c-action .c-action__container .c-action__content {
  font-size: 20px;
}
.c-action .c-action__container .c-action__buttons {
  display: flex;
  gap: 38px;
}
.c-action .c-action__container .c-action__buttons .c-action__button {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 20px;
  width: 330px;
  height: 136px;
  background-color: #ffffff;
  box-shadow: 0px 4px 20px 0px #7699AC33;
}
.c-action .c-action__container .c-action__buttons .c-action__button .title {
  font-size: 16px;
}
.c-action .c-action__container .c-action__buttons .c-action__button a {
  display: inline-block;
  padding: 16px;
  width: 180px;
  background-color: #1c83bb;
  border-radius: 5px;
  font-size: 20px;
  font-weight: 700;
  color: #ffffff;
  text-decoration: none;
  text-align: center;
  transition: filter 0.3s;
}
.c-action .c-action__container .c-action__buttons .c-action__button a:hover {
  filter: brightness(1.1);
}

@media only screen and (max-width: 68.75em) {
  .c-action .c-action__container .c-action__buttons {
    flex-direction: column;
  }
}
@media only screen and (max-width: 35em) {
  .c-action {
    padding: 40px 0;
  }
  .c-action .c-action__container {
    gap: 20px;
  }
  .c-action .c-action__container .c-action__content {
    font-size: 14px;
  }
  .c-action .c-action__container .c-action__buttons {
    gap: 10px;
  }
  .c-action .c-action__container .c-action__buttons .c-action__button {
    height: 124px;
  }
  .c-action .c-action__container .c-action__buttons .c-action__button .title {
    font-size: 14px;
  }
  .c-action .c-action__container .c-action__buttons .c-action__button a {
    padding: 13px;
    font-size: 18px;
  }
}

/* ------------------------------------
 * Footer
 * --------------------------------- */
.c-footer {
  box-sizing: border-box;
  font-size: 1.6rem;
  font-weight: 400;
  font-style: normal;
  line-height: 1.5;
  color: #40494e;
  letter-spacing: 0.02em;
  padding-top: 4rem;
  padding-bottom: 1.6rem;
  color: #fff;
  background-image: linear-gradient(to right, #3a739e, #3dadb6);
}

.c-footer__container {
  display: flex;
  justify-content: space-between;
  width: 104rem;
  margin: 0 auto;
}

@media only screen and (max-width: 48.125em) {
  .c-footer__container {
    flex-direction: column-reverse;
    align-items: center;
  }
}

.c-footer__left {
  margin-top: 0.8rem;
}

@media only screen and (max-width: 48.125em) {
  .c-footer__left {
    margin-top: 4rem;
  }
}

.c-footer__logo-wrap {
  display: flex;
  justify-content: flex-start;
}

@media only screen and (max-width: 48.125em) {
  .c-footer__logo-wrap {
    justify-content: center;
  }
}

.c-footer__logo {
  width: 16rem;
}

.c-footer__nav {
  margin-top: 2rem;
}

.c-footer__list {
  display: flex;
  gap: 0 3rem;
}

.c-footer__items {
  display: flex;
  gap: 0 3rem;
}

.c-footer__item {
  white-space: nowrap;
}

@media only screen and (max-width: 57.5em) {
  .c-footer__list {
    flex-direction: column;
  }

  .c-footer__item:first-child {
    width: 97px;
  }
}

@media only screen and (max-width: 48.125em) {
  .c-footer__list {
    flex-direction: row;
  }

  .c-footer__item:first-child {
    width: initial;
  }
}

@media only screen and (max-width: 35em) {
  .c-footer__list {
    flex-direction: column;
  }

  .c-footer__item:first-child {
    width: 97px;
  }
}

.c-footer__link {
  font-size: 1.4rem;
  font-weight: 700;
  color: #fff;
  text-decoration: none;
}

.c-footer__link:hover {
  text-decoration: underline;
}

.c-footer__item a {
  color: #fff;
  text-decoration: none;
}

.c-footer__item a:hover {
  text-decoration: underline;
}

.c-footer__copyright {
  margin-top: 4rem;
  font-size: 1.1rem;
}

@media only screen and (max-width: 48.125em) {
  .c-footer__copyright {
    text-align: center;
  }
}

@media only screen and (max-width: 48.125em) {
  .c-footer__right {
    text-align: center;
  }
}

.c-footer__para {
  font-size: 1.8rem;
  font-weight: 700;
}

.c-footer__phone {
  font-size: 3.6rem;
  font-weight: 700;
  line-height: 1.2;
  margin: 1.8rem 0;
}

@media only screen and (max-width: 48.125em) {
  .c-footer__phone {
    font-size: 4.8rem;
    margin: 0;
  }
}

@media only screen and (max-width: 35em) {
  .c-footer__phone {
    font-size: 3.2rem;
  }
}

@media only screen and (max-width: 48.125em) {
  .c-footer__info {
    text-align: center;
  }
}

.c-footer__info br {
  display: none;
}

@media only screen and (max-width: 35em) {
  .c-footer__info br {
    display: inline;
  }
}

/* ------------------------------------
 * Utility
 * --------------------------------- */
.l-wrapper {
  width: 100%;
  min-height: auto;
  height: auto;
}

/* ------------------------------------
 * Responsive - Header/Footer
 * --------------------------------- */
@media only screen and (max-width: 1014px) {
  body {
    padding-top: 48px;
  }

  .l-header {
    height: 48px;
  }

  .l-headerNav {
    position: absolute;
    top: 0;
    right: 0;
    width: 250px;
    height: 100vh;
    padding: 100px 30px;
    transform: translateX(100%);
    transition: transform 0.6s !important;
    flex-direction: column;
    background-color: #ffffff;
    z-index: 100;
    justify-content: start;
    gap: 40px 0;
    overflow: scroll;
  }

  .l-headerNav.active {
    transform: translateX(0%);
  }

  .l-headerInfo {
    width: 100%;
    flex: none;
    height: initial;
  }

  .m-headerMenu,
  .m-headerUtil {
    flex-flow: column;
  }

  .m-headerMenu {
    align-items: start;
    gap: 10px 0;
  }

  .m-headerMenu li {
    color: #40494e !important;
    width: 100%;
    height: 36px;
    border-style: solid;
    border-image: linear-gradient(to right, #3a739e, #3dadb6) 1 / 0 0 1px;
    line-height: 2;
  }

  .m-headerMenu li a {
    color: #40494e;
    text-decoration: none !important;
  }

  .m-headerMenu li:last-child {
    margin: 0;
  }

  .m-headerMenu li:hover {
    text-decoration: none !important;
  }

  .l-headerUtil {
    display: block;
    width: 100%;
    height: initial;
  }

  .m-headerUtil {
    flex-direction: column-reverse;
    gap: 10px 0;
  }

  .m-headerUtil li {
    width: 100%;
  }

  .m-headerUtil a {
    width: 100%;
    padding: 10px 0;
  }

  .m-headerUtil a.download {
    border-color: #3a739e;
    color: #3a739e;
  }

  .m-headerUtil a.free {
    border: none;
    box-shadow: 0px 1px 4px 0px #00000040;
  }

  .l-headerContact {
    display: flex;
  }

  .l-overlay.active {
    display: block;
  }

  .l-headerHamburger {
    display: block;
  }

  /* Footer adjustments for mobile */
  .c-footer__container {
    width: 100%;
    padding: 0 20px;
  }

  .c-footer__list {
    gap: 0 15px;
  }

  .c-footer__items {
    gap: 0 15px;
  }
}
